Skip to main content
PUT
Create or update a source property

Authorizations

Authorization
string
header
required

Sign in with the existing Occtoo Studio identity and selected organization.

Path Parameters

sourceId
string
required
propertyId
string
required

Body

application/json

Upserts property metadata. Null optional fields preserve existing values; empty description clears it.

displayName
string
required
type
null | any
Available options:
Text,
LocalizedText,
List,
LocalizedList,
Boolean,
Timestamp,
Integer,
Decimal,
Wildcard,
null
delimiter
null | string
description
null | string

Response

OK

id
string
required
displayName
string
required
description
null | string
required
type
null | any
required
Available options:
Text,
LocalizedText,
List,
LocalizedList,
Boolean,
Timestamp,
Integer,
Decimal,
Wildcard,
null
delimiter
null | string
required
state
enum<string>
required
Available options:
Active,
Updating,
Deleting